wnpa-sec-2016-60 · OpenFlow crash

Summary

Name: OpenFlow crash

Docid: wnpa-sec-2016-60

Date: November 16, 2016

Affected versions: 2.2.0 to 2.2.1, 2.0.0 to 2.0.7

Fixed versions: 2.2.2, 2.0.8

References:
Wireshark issue 13071
CVE-2016-9376

Details

Description

The OpenFlow dissector could crash.

Impact

It may be possible to make Wireshark crash by injecting a malformed packet onto the wire or by convincing someone to read a malformed packet trace file.

Resolution

Upgrade to Wireshark 2.2.2, 2.0.8 or later.